<template>
  <div>
    <v-dialog
      width="50%"
      height="auto"
      v-model="selectedValue"
      name="create_contact"
    >
      <v-card>
        <v-card-title class="light">Modifiko një kontakt</v-card-title>
        <v-container>
          <v-row class="mx-2">
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Emri*" v-model="request.name" />
            </v-col>
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Telefoni*" v-model="request.phone_number" />
            </v-col>
          </v-row>
          <v-row class="mx-2">
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Email*" v-model="request.email" />
            </v-col>
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field
                label="Pozicioni i punes*"
                v-model="request.job_position"
              />
            </v-col>
          </v-row>
        </v-container>
        <v-card-actions>
          <v-spacer />
          <v-btn text @click="close">Anullo</v-btn>
          <f-submit-btn @click="submit" />
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>
<script lang="ts">
import Vue from 'vue'
import { Component, Prop, Watch } from 'vue-property-decorator'
import eventBus from '../../../../plugins/event-bus'
import FSubmitBtn from '../../../../components/buttons/FSubmitBtn.vue'
@Component({
  components: { FSubmitBtn },
})
export default class EditClientContact extends Vue {
  @Prop({ type: Boolean, required: true }) value
  @Prop({ type: Object }) contact
  @Watch('contact')
  onContactChanged(value) {
    this.request = value
  }

  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  request = {
    id: 1,
    name: '',
    phone_number: '',
    email: '',
    job_position: '',
  }
  loading = false
  close() {
    this.selectedValue = false
  }
  submit() {
    eventBus.$emit('edit-contact', this.request)
    this.close()
  }
}
</script>